Skip to main content
DELETE
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads
/
{lead_id}
curl -X DELETE "https://server.smartlead.ai/api/v1/campaigns/123/leads/456?api_key=YOUR_KEY"
{
  "ok": true,
  "message": "success"
}
If the lead is not associated with any other campaign, it will be permanently deleted from your account. This action cannot be undone.

Path Parameters

campaign_id
number
required
The campaign ID to remove the lead from
lead_id
number
required
The lead ID to delete

Query Parameters

api_key
string
required
Your SmartLead API key
curl -X DELETE "https://server.smartlead.ai/api/v1/campaigns/123/leads/456?api_key=YOUR_KEY"

Response Codes

200
Success
Lead deleted successfully from campaign
401
Unauthorized
Invalid or missing API key
404
Not Found
Campaign not found or you don’t have access to it
500
Internal Server Error
Server error occurred
{
  "ok": true,
  "message": "success"
}

Behavior Notes

The lead will only be permanently deleted from your account if it’s not associated with any other campaigns. If the lead exists in other campaigns, only the campaign association is removed.